Bug 54227 - maxAge should be checked on borrow
maxAge should be checked on borrow
Status: RESOLVED FIXED
Product: Tomcat Modules
Classification: Unclassified
Component: jdbc-pool
unspecified
All Mac OS X 10.4
: P2 normal (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2012-11-30 13:08 UTC by Micke
Modified: 2014-08-08 14:03 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Micke 2012-11-30 13:08:35 UTC
The pool doesn't look at the maxAge setting when you borrow a connection, only when you return one. That's no good, since it lets you borrow (possibly stale) connections that are much older than maxAge, rendering the feature useless in times of low activity in the pool.
Comment 1 Filip Hanik 2014-08-07 21:04:23 UTC
Fixed in r1616594
Comment 2 Filip Hanik 2014-08-08 12:41:24 UTC
current fix does not run initSQL or testOnConnect
Comment 3 Filip Hanik 2014-08-08 14:03:12 UTC
Fixed in r1616760